org.apache.jmeter.testelement

## Class AbstractScopedAssertion

- java.lang.Object
- - org.apache.jmeter.testelement.AbstractTestElement
  - - org.apache.jmeter.testelement.AbstractScopedTestElement
    - - org.apache.jmeter.testelement.AbstractScopedAssertion

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, Searchable, TestElement
  Direct Known Subclasses:
    DurationAssertion, ResponseAssertion, SizeAssertion, XPathAssertion

      public abstract class AbstractScopedAssertion
      extends AbstractScopedTestElement

  Super-class for all Assertions that can be applied to main sample, sub-samples or both. Test elements merely need to extend this class to support scoping.

  Their corresponding GUI classes need to add the AssertionScopePanel to the GUI using the AbstractAssertionGui methods:

  - createScopePanel()
  - saveScopeSettings()
  - showScopeSettings()
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from interface org.apache.jmeter.testelement.TestElement

      `COMMENTS, ENABLED, GUI_CLASS, NAME, TEST_CLASS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractScopedAssertion()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected java.lang.String` | `getScopeName()`

    - ### Methods inherited from class org.apache.jmeter.testelement.AbstractScopedTestElement

      `fetchScope, getSampleList, getVariableName, isScopeAll, isScopeChildren, isScopeParent, isScopeVariable, isScopeVariable, setScopeAll, setScopeChildren, setScopeParent, setScopeVariable`

    - ### Methods inherited from class org.apache.jmeter.testelement.AbstractTestElement

      `addPropertiesValues, addProperty, addProperty, addTestElement, canRemove, clear, clearTemporary, clearTestElementChildren, clone, emptyTemporary, equals, getComment, getName, getProperty, getPropertyAsBoolean, getPropertyAsBoolean, getPropertyAsDouble, getPropertyAsFloat, getPropertyAsInt, getPropertyAsInt, getPropertyAsLong, getPropertyAsLong, getPropertyAsString, getPropertyAsString, getSearchableTokens, getThreadContext, getThreadName, hashCode, isEnabled, isRunningVersion, isTemporary, logProperties, mergeIn, propertyIterator, recoverRunningVersion, removeProperty, setComment, setEnabled, setName, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setRunningVersion, setTemporary, setThreadContext, setThreadName, traverse, traverseCollection, traverseMap, traverseProperty`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.jmeter.testelement.TestElement

      `removed`

- - ### Constructor Detail

    - #### AbstractScopedAssertion

          public AbstractScopedAssertion()

  - ### Method Detail

    - #### getScopeName

          protected java.lang.String getScopeName()

      Overrides:
        `getScopeName` in class `AbstractScopedTestElement`

Copyright © 1998-2019 Apache Software Foundation. All Rights Reserved.